<VirtualHost *:80>
    ServerName share.example.com
    ProxyPreserveHost On
    ProxyPass /socket.io/ ws://127.0.0.1:3001/socket.io/
    ProxyPassReverse /socket.io/ ws://127.0.0.1:3001/socket.io/
    ProxyPass / http://127.0.0.1:3001/
    ProxyPassReverse / http://127.0.0.1:3001/
</VirtualHost>
